# QCryptographicHash Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QCryptographicHash(Algorithm method)

### Constructor Properties

- prototype: The QCryptographicHash prototype object
- QByteArray hash(QByteArray data, Algorithm method)
- Md4
- Md5
- Sha1
- Algorithm( value )

### Prototype Object Properties

- void addData(QByteArray data)
- void reset()
- QByteArray result()

### Instance Properties

QCryptographicHash objects have no special properties beyond those inherited from the QCryptographicHash prototype object.